<div class="container">
    <h2>Please Login here</h2>
    <form [formGroup]="logForm" class="loginform" (ngSubmit) = "onSubmit()">
      <div class="row">
          <div class="col25"><label>Email:</label></div>
          <div class="col75"><input type="email" class="form-control" formControlName="email"></div>
          <span *ngIf="!logForm.controls['email'].valid && logForm.controls['email'].touched" class="help-block">{{ validvalue }} Email!</span>
      </div>
      <div class="row">
          <div class="col25"><label>Password:</label></div>
          <div class="col75"><input type="password" class="form-control" formControlName="password"></div>
          <span *ngIf="!logForm.controls['password'].valid && logForm.controls['password'].touched" class="help-block">
             <span *ngIf="logForm.controls.password.errors?.required" class="help-block">{{ emptyfield }}</span>
             <span *ngIf="logForm.controls.password.errors?.minlength" class="help-block">{{ mini6characters }}</span>
          </span>
      </div>
      <a href="#">Forgot Password</a> &nbsp; <a href="/register">New Registration</a>
      <div>
        <button type="submit" class="btn pad sub" [disabled]="logForm.invalid">Submit</button>
      </div>
      <div class="row">
          <div class="col50"><button type="button" class="btn pad sub" (click)="authService.loginGoogle()">Google Login</button></div>
          <div class="col50"><button type="button" class="btn pad sub" (click)="authService.loginFB()">FB Login</button></div>
      </div>
    </form>
</div>
